
.First.lib <- function(libname, pkgname){
	        libraryPkgName <- function(pkgname, sep = "_") {
                unlist(strsplit(pkgname, sep, fixed = TRUE))[1]
            }
            packageDescription <- function(pkgname) {
                fieldnames <- c("Title", "Version","Author")
                descfile <- file.path(libname, pkgname, "DESCRIPTION")
                desc <- as.list(read.dcf(descfile, fieldnames))
                names(desc) <- fieldnames
                return(desc)
            }

            desc <- packageDescription(pkgname)
            message(sprintf("\n######################################################################"))
            message(sprintf("%s, version %s", desc$Title, desc$Version))
            message(sprintf("For issues and bug report, contact: %s", desc$Author))
            message(sprintf("######################################################################\n"))
}


